### Method

# Peas Engine prepend_search_path

since: 1.6

#### Declaration [src]

    void
    peas_engine_prepend_search_path (
      PeasEngine* engine,
      const gchar* module_dir,
      const gchar* data_dir
    )

#### Description [src]

Prepends a search path to the list of paths where to look for plugins.

See Also: `peas_engine_add_search_path()`.

Available since: 1.6

#### Parameters

`module_dir`

  Type: `const gchar*`

  The plugin module directory.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data_dir`

  Type: `const gchar*`

  The plugin data directory.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.